Status: Closed Start date: 2012-07-19

Priority: Normal Due date:  

Assignee: Elmer de Looff % Done: 100%

Category: TemplateParser Estimated time: 0.00 hour

Target version: µWeb alpha release Spent time: 8.00 hours

Description

TemplateParser should check the modification time of a file when using the template. This ensures that when templates are updated,

this is automatically reflected in the output, and does not require a server restart/reload.

This should work automatically for templates that are loaded from file, but should obviously not affect other templates.

Associated revisions

Revision 264:c30f4f5b7b93 - 2012-07-20 17:25 - Elmer de Looff

Added FileTemplate (with tests) class that provides autoamatic reloading of files when they have been changed on disk. This works for 'main'

templates as well as inlined templates. This resolves #916.

Revision 265:198b3dd109a4 - 2012-07-20 17:28 - Elmer de Looff

PageMaker error templates should be using the new FileTemplate class. This refs #916

History

#1 - 2012-07-20 17:25 - Elmer de Looff

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset c30f4f5b7b93.

#2 - 2012-07-20 17:30 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

An implementation has been provided and tests are added. Rolled out to production for Lintme, uWeb-framework and Underdark websites.
